Index: /trunk/src/bp-groups/bp-groups-admin.php
===================================================================
--- /trunk/src/bp-groups/bp-groups-admin.php	(revision 10372)
+++ /trunk/src/bp-groups/bp-groups-admin.php	(revision 10373)
@@ -18,5 +18,5 @@
 if ( !class_exists( 'WP_List_Table' ) ) require( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
 
-// per_page screen option. Has to be hooked in extremely early.
+// The per_page screen option. Has to be hooked in extremely early.
 if ( is_admin() && ! empty( $_REQUEST['page'] ) && 'bp-groups' == $_REQUEST['page'] )
 	add_filter( 'set-screen-option', 'bp_groups_admin_screen_options', 10, 3 );
@@ -29,5 +29,5 @@
 function bp_groups_add_admin_menu() {
 
-	// Add our screen
+	// Add our screen.
 	$hook = add_menu_page(
 		_x( 'Groups', 'Admin Groups page title', 'buddypress' ),
@@ -53,5 +53,4 @@
  *
  * @param array $custom_menus Array of BP top-level menu items.
- *
  * @return array Menu item array, with Groups added.
  */
@@ -76,8 +75,8 @@
 	global $bp_groups_list_table;
 
-	// Build redirection URL
+	// Build redirection URL.
 	$redirect_to = remove_query_arg( array( 'action', 'action2', 'gid', 'deleted', 'error', 'updated', 'success_new', 'error_new', 'success_modified', 'error_modified' ), $_SERVER['REQUEST_URI'] );
 
-	// Decide whether to load the dev version of the CSS and JavaScript
+	// Decide whether to load the dev version of the CSS and JavaScript.
 	$min = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ? '' : 'min.';
 
@@ -93,5 +92,5 @@
 	do_action( 'bp_groups_admin_load', $doaction );
 
-	// Edit screen
+	// Edit screen.
 	if ( 'do_delete' == $doaction && ! empty( $_GET['gid'] ) ) {
 
@@ -112,5 +111,5 @@
 
 	} elseif ( 'edit' == $doaction && ! empty( $_GET['gid'] ) ) {
-		// columns screen option
+		// Columns screen option.
 		add_screen_option( 'layout_columns', array( 'default' => 2, 'max' => 2, ) );
 
@@ -123,5 +122,5 @@
 		) );
 
-		// Help panel - sidebar links
+		// Help panel - sidebar links.
 		get_current_screen()->set_help_sidebar(
 			'<p><strong>' . __( 'For more information:', 'buddypress' ) . '</strong></p>' .
@@ -142,17 +141,17 @@
 		do_action( 'bp_groups_admin_meta_boxes' );
 
-		// Enqueue JavaScript files
+		// Enqueue JavaScript files.
 		wp_enqueue_script( 'postbox' );
 		wp_enqueue_script( 'dashboard' );
 
-	// Index screen
+	// Index screen.
 	} else {
-		// Create the Groups screen list table
+		// Create the Groups screen list table.
 		$bp_groups_list_table = new BP_Groups_List_Table();
 
-		// per_page screen option
+		// The per_page screen option.
 		add_screen_option( 'per_page', array( 'label' => _x( 'Groups', 'Groups per page (screen options)', 'buddypress' )) );
 
-		// Help panel - overview text
+		// Help panel - overview text.
 		get_current_screen()->add_help_tab( array(
 			'id'      => 'bp-groups-overview',
@@ -171,5 +170,5 @@
 		) );
 
-		// Help panel - sidebar links
+		// Help panel - sidebar links.
 		get_current_screen()->set_help_sidebar(
 			'<p><strong>' . __( 'For more information:', 'buddypress' ) . '</strong></p>' .
@@ -180,5 +179,5 @@
 	$bp = buddypress();
 
-	// Enqueue CSS and JavaScript
+	// Enqueue CSS and JavaScript.
 	wp_enqueue_script( 'bp_groups_admin_js', $bp->plugin_url . "bp-groups/admin/js/admin.{$min}js", array( 'jquery', 'wp-ajax-response', 'jquery-ui-autocomplete' ), bp_get_version(), true );
 	wp_localize_script( 'bp_groups_admin_js', 'BP_Group_Admin', array(
@@ -195,5 +194,5 @@
 
 	if ( $doaction && 'save' == $doaction ) {
-		// Get group ID
+		// Get group ID.
 		$group_id = isset( $_REQUEST['gid'] ) ? (int) $_REQUEST['gid'] : '';
 
@@ -203,11 +202,11 @@
 		), $redirect_to );
 
-		// Check this is a valid form submission
+		// Check this is a valid form submission.
 		check_admin_referer( 'edit-group_' . $group_id );
 
-		// Get the group from the database
+		// Get the group from the database.
 		$group = groups_get_group( 'group_id=' . $group_id );
 
-		// If the group doesn't exist, just redirect back to the index
+		// If the group doesn't exist, just redirect back to the index.
 		if ( empty( $group->slug ) ) {
 			wp_redirect( $redirect_to );
@@ -215,16 +214,15 @@
 		}
 
-		// Check the form for the updated properties
-
-		// Store errors
+		// Check the form for the updated properties.
+		// Store errors.
 		$error = 0;
 		$success_new = $error_new = $success_modified = $error_modified = array();
 
 		// Group name and description are handled with
-		// groups_edit_base_group_details()
+		// groups_edit_base_group_details().
 		if ( !groups_edit_base_group_details( $group_id, $_POST['bp-groups-name'], $_POST['bp-groups-description'], 0 ) ) {
 			$error = $group_id;
 
-			// using negative integers for different error messages... eek!
+			// Using negative integers for different error messages... eek!
 			if ( empty( $_POST['bp-groups-name'] ) && empty( $_POST['bp-groups-description'] ) ) {
 				$error = -3;
@@ -236,5 +234,5 @@
 		}
 
-		// Enable discussion forum
+		// Enable discussion forum.
 		$enable_forum   = ( isset( $_POST['group-show-forum'] ) ) ? 1 : 0;
 
@@ -263,5 +261,5 @@
 		}
 
-		// Process new members
+		// Process new members.
 		$user_names = array();
 
@@ -276,5 +274,5 @@
 
 				// Make sure the user exists before attempting
-				// to add to the group
+				// to add to the group.
 				$user = get_user_by( 'slug', $un );
 
@@ -291,9 +289,9 @@
 		}
 
-		// Process member role changes
+		// Process member role changes.
 		if ( ! empty( $_POST['bp-groups-role'] ) && ! empty( $_POST['bp-groups-existing-role'] ) ) {
 
 			// Before processing anything, make sure you're not
-			// attempting to remove the all user admins
+			// attempting to remove the all user admins.
 			$admin_count = 0;
 			foreach ( (array) $_POST['bp-groups-role'] as $new_role ) {
@@ -311,5 +309,5 @@
 			} else {
 
-				// Process only those users who have had their roles changed
+				// Process only those users who have had their roles changed.
 				foreach ( (array) $_POST['bp-groups-role'] as $user_id => $new_role ) {
 
@@ -321,5 +319,5 @@
 							case 'mod' :
 								// Admin to mod is a demotion. Demote to
-								// member, then fall through
+								// member, then fall through.
 								if ( 'admin' == $existing_role ) {
 									groups_demote_member( $user_id, $group_id );
@@ -328,5 +326,5 @@
 							case 'admin' :
 								// If the user was banned, we must
-								// unban first
+								// unban first.
 								if ( 'banned' == $existing_role ) {
 									groups_unban_member( $user_id, $group_id );
@@ -334,5 +332,5 @@
 
 								// At this point, each existing_role
-								// is a member, so promote
+								// is a member, so promote.
 								$result = groups_promote_member( $user_id, $group_id, $new_role );
 
@@ -362,5 +360,5 @@
 						}
 
-						// Store the success or failure
+						// Store the success or failure.
 						if ( $result ) {
 							$success_modified[] = $user_id;
@@ -382,11 +380,10 @@
 		do_action( 'bp_group_admin_edit_after', $group_id );
 
-		// Create the redirect URL
-
+		// Create the redirect URL.
 		if ( $error ) {
-			// This means there was an error updating group details
+			// This means there was an error updating group details.
 			$redirect_to = add_query_arg( 'error', (int) $error, $redirect_to );
 		} else {
-			// Group details were update successfully
+			// Group details were update successfully.
 			$redirect_to = add_query_arg( 'updated', 1, $redirect_to );
 		}
@@ -438,5 +435,4 @@
  * @param string $option    Screen option name.
  * @param string $new_value Screen option form value.
- *
  * @return string Option value. False to abandon update.
  */
@@ -445,5 +441,5 @@
 		return $value;
 
-	// Per page
+	// Per page.
 	$new_value = (int) $new_value;
 	if ( $new_value < 1 || $new_value > 999 )
@@ -459,16 +455,16 @@
  */
 function bp_groups_admin() {
-	// Decide whether to load the index or edit screen
+	// Decide whether to load the index or edit screen.
 	$doaction = bp_admin_list_table_current_bulk_action();
 
-	// Display the single group edit screen
+	// Display the single group edit screen.
 	if ( 'edit' == $doaction && ! empty( $_GET['gid'] ) ) {
 		bp_groups_admin_edit();
 
-	// Display the group deletion confirmation screen
+	// Display the group deletion confirmation screen.
 	} elseif ( 'delete' == $doaction && ! empty( $_GET['gid'] ) ) {
 		bp_groups_admin_delete();
 
-	// Otherwise, display the groups index screen
+	// Otherwise, display the groups index screen.
 	} else {
 		bp_groups_admin_index();
@@ -488,5 +484,5 @@
 	$messages = array();
 
-	// If the user has just made a change to a group, build status messages
+	// If the user has just made a change to a group, build status messages.
 	if ( !empty( $_REQUEST['no_admins'] ) || ! empty( $_REQUEST['error'] ) || ! empty( $_REQUEST['updated'] ) || ! empty( $_REQUEST['error_new'] ) || ! empty( $_REQUEST['success_new'] ) || ! empty( $_REQUEST['error_modified'] ) || ! empty( $_REQUEST['success_modified'] ) ) {
 		$no_admins        = ! empty( $_REQUEST['no_admins']        ) ? 1                                             : 0;
@@ -546,5 +542,5 @@
 	$is_error = ! empty( $no_admins ) || ! empty( $errors ) || ! empty( $error_new ) || ! empty( $error_modified );
 
-	// Get the group from the database
+	// Get the group from the database.
 	$group      = groups_get_group( 'group_id=' . $_GET['gid'] );
 
@@ -552,5 +548,5 @@
 	$group_name = isset( $group->name ) ? apply_filters( 'bp_get_group_name', $group->name ) : '';
 
-	// Construct URL for form
+	// Construct URL for form.
 	$form_url = remove_query_arg( array( 'action', 'deleted', 'no_admins', 'error', 'error_new', 'success_new', 'error_modified', 'success_modified' ), $_SERVER['REQUEST_URI'] );
 	$form_url = add_query_arg( 'action', 'save', $form_url );
@@ -576,5 +572,5 @@
 		</h1>
 
-		<?php // If the user has just made a change to an group, display the status messages ?>
+		<?php // If the user has just made a change to an group, display the status messages. ?>
 		<?php if ( !empty( $messages ) ) : ?>
 			<div id="moderated" class="<?php echo ( $is_error ) ? 'error' : 'updated'; ?>"><p><?php echo implode( "</p><p>", $messages ); ?></p></div>
@@ -652,8 +648,8 @@
 		'include'     => $group_ids,
 		'show_hidden' => true,
-		'per_page'    => null, // Return all results
+		'per_page'    => null, // Return all results.
 	) );
 
-	// Create a new list of group ids, based on those that actually exist
+	// Create a new list of group ids, based on those that actually exist.
 	$gids = array();
 	foreach ( $groups['groups'] as $group ) {
@@ -697,5 +693,5 @@
 	$messages = array();
 
-	// If the user has just made a change to a group, build status messages
+	// If the user has just made a change to a group, build status messages.
 	if ( ! empty( $_REQUEST['deleted'] ) ) {
 		$deleted  = ! empty( $_REQUEST['deleted'] ) ? (int) $_REQUEST['deleted'] : 0;
@@ -706,5 +702,5 @@
 	}
 
-	// Prepare the group items for display
+	// Prepare the group items for display.
 	$bp_groups_list_table->prepare_items();
 
@@ -733,10 +729,10 @@
 		</h1>
 
-		<?php // If the user has just made a change to an group, display the status messages ?>
+		<?php // If the user has just made a change to an group, display the status messages. ?>
 		<?php if ( !empty( $messages ) ) : ?>
 			<div id="moderated" class="<?php echo ( ! empty( $_REQUEST['error'] ) ) ? 'error' : 'updated'; ?>"><p><?php echo implode( "<br/>\n", $messages ); ?></p></div>
 		<?php endif; ?>
 
-		<?php // Display each group on its own row ?>
+		<?php // Display each group on its own row. ?>
 		<?php $bp_groups_list_table->views(); ?>
 
@@ -800,4 +796,6 @@
  *
  * @since 1.7.0
+ *
+ * @param BP_Groups_Group $item The BP_Groups_Group object for the current group.
  */
 function bp_groups_admin_edit_metabox_add_new_members( $item ) {
@@ -821,5 +819,5 @@
 	// Pull up a list of group members, so we can separate out the types
 	// We'll also keep track of group members here to place them into a
-	// JavaScript variable, which will help with group member autocomplete
+	// JavaScript variable, which will help with group member autocomplete.
 	$members = array(
 		'admin'  => array(),
@@ -851,8 +849,8 @@
 	}
 
-	// Echo out the JavaScript variable
+	// Echo out the JavaScript variable.
 	echo '<script type="text/javascript">var group_id = "' . esc_js( $item->id ) . '";</script>';
 
-	// Loop through each member type
+	// Loop through each member type.
 	foreach ( $members as $member_type => $type_users ) : ?>
 
@@ -1008,5 +1006,4 @@
  * @param BP_Group_Member_Query $query       A BP_Group_Member_Query object.
  * @param string                $member_type member|mod|admin|banned.
- *
  * @return string Pagination links HTML.
  */
@@ -1018,5 +1015,5 @@
 	}
 
-	// The key used to paginate this member type in the $_GET global
+	// The key used to paginate this member type in the $_GET global.
 	$qs_key = $member_type . '_page';
 	$url_base = remove_query_arg( array( $qs_key, 'updated', 'success_modified' ), $_SERVER['REQUEST_URI'] );
@@ -1025,5 +1022,5 @@
 	$per_page = 10; // @todo Make this customizable?
 
-	// Don't show anything if there's no pagination
+	// Don't show anything if there's no pagination.
 	if ( 1 === $page && $query->total_users <= $per_page ) {
 		return $pagination;
@@ -1065,5 +1062,4 @@
  *
  * @param array $user_ids Array of user IDs.
- *
  * @return array Array of user_logins corresponding to $user_ids.
  */
@@ -1087,5 +1083,5 @@
 function bp_groups_admin_autocomplete_handler() {
 
-	// Bail if user user shouldn't be here, or is a large network
+	// Bail if user user shouldn't be here, or is a large network.
 	if ( ! current_user_can( 'bp_moderate' ) || ( is_multisite() && wp_is_large_network( 'users' ) ) ) {
 		wp_die( -1 );
@@ -1112,5 +1108,5 @@
 
 			$matches[] = array(
-				// translators: 1: user_login, 2: user_email
+				// Translators: 1: user_login, 2: user_email.
 				'label' => sprintf( __( '%1$s (%2$s)', 'buddypress' ), $user->name, $user->ID ),
 				'value' => $user->ID,
@@ -1133,5 +1129,5 @@
 	 * The type of view currently being displayed.
 	 *
-	 * e.g. "All", "Pending", "Approved", "Spam"...
+	 * E.g. "All", "Pending", "Approved", "Spam"...
 	 *
 	 * @since 1.7.0
@@ -1186,12 +1182,12 @@
 		$screen = get_current_screen();
 
-		// Option defaults
+		// Option defaults.
 		$include_id   = false;
 		$search_terms = false;
 
-		// Set current page
+		// Set current page.
 		$page = $this->get_pagenum();
 
-		// Set per page from the screen options
+		// Set per page from the screen options.
 		$per_page = $this->get_items_per_page( str_replace( '-', '_', "{$screen->id}_per_page" ) );
 
@@ -1202,5 +1198,5 @@
 		}
 
-		// Order by - default to newest
+		// Order by - default to newest.
 		$orderby = 'last_activity';
 		if ( ! empty( $_REQUEST['orderby'] ) ) {
@@ -1229,13 +1225,13 @@
 			$include_id = (int) $_REQUEST['gid'];
 
-		// Set the current view
+		// Set the current view.
 		if ( isset( $_GET['group_status'] ) && in_array( $_GET['group_status'], array( 'public', 'private', 'hidden' ) ) ) {
 			$this->view = $_GET['group_status'];
 		}
 
-		// We'll use the ids of group types for the 'include' param
+		// We'll use the ids of group types for the 'include' param.
 		$this->group_type_ids = BP_Groups_Group::get_group_type_ids();
 
-		// Pass a dummy array if there are no groups of this type
+		// Pass a dummy array if there are no groups of this type.
 		$include = false;
 		if ( 'all' != $this->view && isset( $this->group_type_ids[ $this->view ] ) ) {
@@ -1243,5 +1239,5 @@
 		}
 
-		// Get group type counts for display in the filter tabs
+		// Get group type counts for display in the filter tabs.
 		$this->group_counts = array();
 		foreach ( $this->group_type_ids as $group_type => $group_ids ) {
@@ -1270,8 +1266,8 @@
 		}
 
-		// Set raw data to display
+		// Set raw data to display.
 		$this->items = $groups;
 
-		// Store information needed for handling table pagination
+		// Store information needed for handling table pagination.
 		$this->set_pagination_args( array(
 			'per_page'    => $per_page,
@@ -1307,5 +1303,5 @@
 	 */
 	protected function get_default_primary_column_name() {
-		// comment column is mapped to Group's name
+		// Comment column is mapped to Group's name.
 		return 'comment';
 	}
@@ -1324,5 +1320,5 @@
 	 *
 	 * @since 1.7.0
-	*/
+	 */
 	public function display() {
 		$this->display_tablenav( 'top' ); ?>
@@ -1498,6 +1494,6 @@
 	 * @since 2.3.4 Visibility set to public for compatibility with WP < 4.0.0.
 	 *
-	 * @param array $actions The list of actions
-	 * @param bool $always_visible Whether the actions should be always visible
+	 * @param array $actions        The list of actions.
+	 * @param bool  $always_visible Whether the actions should be always visible.
 	 * @return string
 	 */
@@ -1559,5 +1555,5 @@
 	public function column_comment( $item = array() ) {
 
-		// Preorder items: Edit | Delete | View
+		// Preorder items: Edit | Delete | View.
 		$actions = array(
 			'edit'   => '',
@@ -1566,8 +1562,8 @@
 		);
 
-		// We need the group object for some BP functions
+		// We need the group object for some BP functions.
 		$item_obj = (object) $item;
 
-		// Build actions URLs
+		// Build actions URLs.
 		$base_url   = bp_get_admin_url( 'admin.php?page=bp-groups&amp;gid=' . $item['id'] );
 		$delete_url = wp_nonce_url( $base_url . "&amp;action=delete", 'bp-groups-delete' );
@@ -1585,13 +1581,12 @@
 		$group_name = apply_filters_ref_array( 'bp_get_group_name', array( $item['name'] ), $item );
 
-		// Rollover actions
-
-		// Edit
+		// Rollover actions.
+		// Edit.
 		$actions['edit']   = sprintf( '<a href="%s">%s</a>', esc_url( $edit_url   ), __( 'Edit',   'buddypress' ) );
 
-		// Delete
+		// Delete.
 		$actions['delete'] = sprintf( '<a href="%s">%s</a>', esc_url( $delete_url ), __( 'Delete', 'buddypress' ) );
 
-		// Visit
+		// Visit.
 		$actions['view']   = sprintf( '<a href="%s">%s</a>', esc_url( $view_url   ), __( 'View',   'buddypress' ) );
 
@@ -1606,5 +1601,5 @@
 		$actions = apply_filters( 'bp_groups_admin_comment_row_actions', array_filter( $actions ), $item );
 
-		// Get group name and avatar
+		// Get group name and avatar.
 		$avatar = '';
 
@@ -1659,5 +1654,5 @@
 
 		// @todo This should be abstracted out somewhere for the whole
-		// Groups component
+		// Groups component.
 		switch ( $status ) {
 			case 'public' :
@@ -1732,5 +1727,4 @@
 	 * @param array  $item        Information about the current row.
 	 * @param string $column_name The column name.
-	 *
 	 * @return string
 	 */
Index: /trunk/src/bp-groups/bp-groups-adminbar.php
===================================================================
--- /trunk/src/bp-groups/bp-groups-adminbar.php	(revision 10372)
+++ /trunk/src/bp-groups/bp-groups-adminbar.php	(revision 10373)
@@ -26,18 +26,18 @@
 	$bp = buddypress();
 
-	// Only show if viewing a group
+	// Only show if viewing a group.
 	if ( ! bp_is_group() || bp_is_group_create() ) {
 		return false;
 	}
 
-	// Only show this menu to group admins and super admins
+	// Only show this menu to group admins and super admins.
 	if ( ! bp_current_user_can( 'bp_moderate' ) && ! bp_group_is_admin() ) {
 		return false;
 	}
 
-	// Unique ID for the 'Edit Group' menu
+	// Unique ID for the 'Edit Group' menu.
 	$bp->group_admin_menu_id = 'group-admin';
 
-	// Add the top-level Group Admin button
+	// Add the top-level Group Admin button.
 	$wp_admin_bar->add_menu( array(
 		'id'    => $bp->group_admin_menu_id,
@@ -46,13 +46,13 @@
 	) );
 
-	// Index of the Manage tabs parent slug
+	// Index of the Manage tabs parent slug.
 	$nav_index = $bp->groups->current_group->slug . '_manage';
 
-	// Check if current group has Manage tabs
+	// Check if current group has Manage tabs.
 	if ( empty( $bp->bp_options_nav[ $nav_index ] ) ) {
 		return;
 	}
 
-	// Build the Group Admin menus
+	// Build the Group Admin menus.
 	foreach ( $bp->bp_options_nav[ $nav_index ] as $menu ) {
 		/**
@@ -66,5 +66,5 @@
 			$title = sprintf( _x( 'Edit Group %s', 'Group WP Admin Bar manage links', 'buddypress' ), $menu['name'] );
 
-			// Title is specific for delete
+			// Title is specific for delete.
 			if ( 'delete-group' == $menu['slug'] ) {
 				$title = sprintf( _x( '%s Group', 'Group WP Admin Bar delete link', 'buddypress' ), $menu['name'] );
Index: /trunk/src/bp-groups/bp-groups-cache.php
===================================================================
--- /trunk/src/bp-groups/bp-groups-cache.php	(revision 10372)
+++ /trunk/src/bp-groups/bp-groups-cache.php	(revision 10373)
@@ -23,5 +23,4 @@
  * $group_ids and adds it to WP cache. This improves efficiency when using
  * groupmeta within a loop context.
- *
  *
  * @param int|string|array|bool $group_ids Accepts a single group_id, or a
@@ -78,6 +77,6 @@
  * @since 2.0.0
  *
- * @param int $meta_id
- * @param int $group_id
+ * @param int $meta_id Meta ID.
+ * @param int $group_id Group ID.
  */
 function bp_groups_delete_group_cache_on_metadata_change( $meta_id, $group_id ) {
@@ -96,5 +95,5 @@
  */
 function bp_groups_clear_group_creator_cache( $group_id, $group_obj ) {
-	// Clears the 'total groups' for this user
+	// Clears the 'total groups' for this user.
 	groups_clear_group_user_object_cache( $group_obj->id, $group_obj->creator_id );
 }
@@ -110,5 +109,5 @@
  */
 function bp_groups_clear_group_members_caches( $group_obj, $user_ids ) {
-	// Clears the 'total groups' cache for each member in a group
+	// Clears the 'total groups' cache for each member in a group.
 	foreach ( (array) $user_ids as $user_id )
 		groups_clear_group_user_object_cache( $group_obj->id, $user_id );
@@ -200,5 +199,5 @@
  * @since 2.1.0
  *
- * @param BP_Groups_Member $member
+ * @param BP_Groups_Member $member Member object.
  */
 function groups_clear_group_administrator_cache_on_member_save( BP_Groups_Member $member ) {
Index: /trunk/src/bp-groups/bp-groups-filters.php
===================================================================
--- /trunk/src/bp-groups/bp-groups-filters.php	(revision 10372)
+++ /trunk/src/bp-groups/bp-groups-filters.php	(revision 10373)
@@ -10,6 +10,5 @@
 defined( 'ABSPATH' ) || exit;
 
-// Filter bbPress template locations
-
+// Filter bbPress template locations.
 add_filter( 'bp_groups_get_directory_template', 'bp_add_template_locations' );
 add_filter( 'bp_get_single_group_template',    'bp_add_template_locations' );
@@ -51,14 +50,14 @@
 add_filter( 'groups_group_description_before_save', 'force_balance_tags' );
 
-// Trim trailing spaces from name and description when saving
+// Trim trailing spaces from name and description when saving.
 add_filter( 'groups_group_name_before_save',        'trim' );
 add_filter( 'groups_group_description_before_save', 'trim' );
 
-// Escape output of new group creation details
+// Escape output of new group creation details.
 add_filter( 'bp_get_new_group_id',          'esc_attr'     );
 add_filter( 'bp_get_new_group_name',        'esc_attr'     );
 add_filter( 'bp_get_new_group_description', 'esc_textarea' );
 
-// Format numberical output
+// Format numberical output.
 add_filter( 'bp_get_total_group_count',          'bp_core_number_format' );
 add_filter( 'bp_get_group_total_for_member',     'bp_core_number_format' );
@@ -71,6 +70,5 @@
  * @since 1.1.0
  *
- * @param string $content
- *
+ * @param string $content Content to filter.
  * @return string
  */
@@ -87,5 +85,5 @@
 	$allowed_tags = wp_kses_allowed_html( 'buddypress-groups' );
 
-	// Add our own tags allowed in group descriptions
+	// Add our own tags allowed in group descriptions.
 	$allowed_tags['a']['class']    = array();
 	$allowed_tags['img']           = array();
@@ -107,5 +105,5 @@
 	$tags = apply_filters( 'bp_groups_filter_kses', $allowed_tags );
 
-	// Return KSES'ed content, allowing the above tags
+	// Return KSES'ed content, allowing the above tags.
 	return wp_kses( $content, $tags );
 }
@@ -126,6 +124,5 @@
  * Add fields to bbPress query for group-specific data.
  *
- * @param string $sql
- *
+ * @param string $sql SQL statement to amend.
  * @return string
  */
@@ -138,6 +135,5 @@
  * Add JOINed tables to bbPress query for group-specific data.
  *
- * @param string $sql
- *
+ * @param string $sql SQL statement to amend.
  * @return string
  */
@@ -153,5 +149,5 @@
  * Add WHERE clauses to bbPress query for group-specific data and access protection.
  *
- * @param string $sql
+ * @param string $sql SQL Statement to amend.
  *
  * @return string
@@ -159,8 +155,8 @@
 function groups_add_forum_where_sql( $sql = '' ) {
 
-	// Define locale variable
+	// Define locale variable.
 	$parts = array();
 
-	// Set this for groups
+	// Set this for groups.
 	$parts['groups'] = "(gm.meta_key = 'forum_id' AND gm.meta_value = t.forum_id)";
 
@@ -173,4 +169,5 @@
 	 * Decide if private are visible
 	 */
+
 	// Are we in our own profile?
 	if ( bp_is_my_profile() )
@@ -181,21 +178,21 @@
 		unset( $parts['private'] );
 
-	// No need to filter on a single item
+	// No need to filter on a single item.
 	elseif ( bp_is_single_item() )
 		unset( $parts['private'] );
 
-	// Check the SQL filter that was passed
+	// Check the SQL filter that was passed.
 	if ( !empty( $sql ) )
 		$parts['passed'] = $sql;
 
-	// Assemble Voltron
+	// Assemble Voltron.
 	$parts_string = implode( ' AND ', $parts );
 
 	$bp = buddypress();
 
-	// Set it to the global filter
+	// Set it to the global filter.
 	$bp->groups->filter_sql = $parts_string;
 
-	// Return the global filter
+	// Return the global filter.
 	return $bp->groups->filter_sql;
 }
@@ -204,7 +201,7 @@
  * Modify bbPress caps for bp-forums.
  *
- * @param bool $value
- * @param string $cap
- * @param array $args
+ * @param bool   $value Original value for current_user_can check.
+ * @param string $cap   Capability checked.
+ * @param array  $args  Arguments for the caps.
  *
  * @return bool
@@ -238,4 +235,7 @@
  *
  * @see BB_Query::_filter_sql()
+ *
+ * @param string $sql SQL statement.
+ * @return string
  */
 function groups_filter_forums_root_page_sql( $sql ) {
@@ -262,5 +262,4 @@
  * @param bool $load_mentions    True to load mentions assets, false otherwise.
  * @param bool $mentions_enabled True if mentions are enabled.
- *
  * @return bool True if mentions scripts should be loaded.
  */
Index: /trunk/src/bp-groups/bp-groups-forums.php
===================================================================
--- /trunk/src/bp-groups/bp-groups-forums.php	(revision 10372)
+++ /trunk/src/bp-groups/bp-groups-forums.php	(revision 10373)
@@ -66,5 +66,4 @@
  *
  * @param int $group_id Group id, passed from groups_details_updated.
- *
  * @return mixed
  */
@@ -112,5 +111,4 @@
  * @param mixed  $page      The page number where the new forum post should reside.
  *                          Default: false.
- *
  * @return mixed The new forum post ID on success. Boolean false on failure.
  */
@@ -221,5 +219,4 @@
  * @param string $topic_tags  A comma-delimited string of topic tags.
  * @param int    $forum_id    The forum ID this forum topic resides in.
- *
  * @return mixed The new topic object on success. Boolean false on failure.
  */
@@ -342,5 +339,4 @@
  * @param string $topic_text  The text for the forum topic.
  * @param mixed  $topic_tags  A comma-delimited string of topic tags. Optional.
- *
  * @return mixed The topic object on success. Boolean false on failure.
  */
@@ -364,5 +360,5 @@
 	}
 
-	// Get the corresponding activity item
+	// Get the corresponding activity item.
 	if ( bp_is_active( 'activity' ) ) {
 		$id = bp_activity_get_activity_id( array(
@@ -421,5 +417,4 @@
  * @param int    $topic_id  The topic ID of the existing forum topic.
  * @param mixed  $page      The page number where the new forum post should reside. Optional.
- *
  * @return mixed The forum post ID on success. Boolean false on failure.
  */
@@ -454,5 +449,5 @@
 	}
 
-	// Get the corresponding activity item
+	// Get the corresponding activity item.
 	if ( bp_is_active( 'activity' ) ) {
 		$id = bp_activity_get_activity_id( array(
@@ -507,5 +502,4 @@
  *
  * @param int $topic_id The ID of the topic to be deleted.
- *
  * @return bool True if the delete routine went through properly.
  */
@@ -513,5 +507,5 @@
 	$bp = buddypress();
 
-	// Before deleting the thread, get the post ids so that their activity items can be deleted
+	// Before deleting the thread, get the post ids so that their activity items can be deleted.
 	$posts  = bp_forums_get_topic_posts( array( 'topic_id' => $topic_id, 'per_page' => -1 ) );
 	$action = bp_forums_delete_topic( array( 'topic_id' => $topic_id ) );
@@ -528,8 +522,8 @@
 		do_action( 'groups_before_delete_group_forum_topic', $topic_id );
 
-		// Delete the corresponding activity stream items
+		// Delete the corresponding activity stream items.
 		if ( bp_is_active( 'activity' ) ) {
 
-			// The activity item for the initial topic
+			// The activity item for the initial topic.
 			bp_activity_delete( array(
 				'item_id'           => bp_get_current_group_id(),
@@ -539,5 +533,5 @@
 			) );
 
-			// The activity item for each post
+			// The activity item for each post.
 			foreach ( (array) $posts as $post ) {
 				bp_activity_delete( array(
@@ -574,5 +568,4 @@
  *                           value isn't used in the function but is passed along
  *                           to do_action() hooks.
- *
  * @return bool True on success.
  */
@@ -593,5 +586,5 @@
 		do_action( 'groups_before_delete_group_forum_post', $post_id, $topic_id );
 
-		// Delete the corresponding activity stream item
+		// Delete the corresponding activity stream item.
 		if ( bp_is_active( 'activity' ) ) {
 			bp_activity_delete( array(
@@ -624,5 +617,4 @@
  * @param string $type Either 'newest', 'popular', 'unreplied', 'tags'.
  *                     Default: 'newest'.
- *
  * @return int The topic count.
  */
@@ -647,5 +639,4 @@
  *                                  'all'. Default: 'public'.
  * @param string|bool $search_terms Optional. Limit by a search term.
- *
  * @return int The topic count.
  */
